Subject: bug#54677: Creating core files on macOS (Monterey)

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 02 Apr 2022 16:16:31 +0200

Perry Smith <[email-masked]> writes:

> As I mentioned in an email on the developers list, making emacs
> remains a drop dead easy process where
>
> ./configure ; make ; make install

Note that you don't have to say "make install" -- you can just run it
from src/emacs in the build directory (and that's usually a lot more
convenient when building things yourself).

> To get the Emacs.app to launch, the quarantine needs to be removed and
> that is done with:
>
> sudo xattr -rds com.apple.quarantine nextstep/Emacs.app

And then you don't have to do this, for instance.

> To get an application to create a core file two particular things need
> to be done.  The resource limit for core files needs to be set to the
> max.  And an entitlement needs to be applied to the application.
>
> The first I accomplished with this code change:
>
> diff -r emacs-orig-27.2/src/emacs.c emacs-new-27.2/src/emacs.c
> 1226c1226,1234
> < 
> ---
>> #if defined (HAVE_SETRLIMIT) && defined (RLIMIT_CORE) && !defined (CYGWIN)
>>   if (getrlimit (RLIMIT_CORE, &rlim) == 0
>>       && 0 <= rlim.rlim_cur && rlim.rlim_cur <= rlim.rlim_max)
>>     {
>>       rlim.rlim_cur = rlim.rlim_max;
>>       setrlimit (RLIMIT_CORE, &rlim); /* Error??? */
>>     }  
>> #endif /* HAVE_SETRLIMIT and RLIMIT_CORE and not CYGWIN */

Is this necessary when you're not running installed?

I've added Alan to the CCs; perhaps he has some comments.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no